jjb: fix modules build for broken v3.10 kernels
authorMichael Jeanson <mjeanson@efficios.com>
Mon, 4 Mar 2019 16:14:56 +0000 (11:14 -0500)
committerMichael Jeanson <mjeanson@efficios.com>
Mon, 4 Mar 2019 16:14:56 +0000 (11:14 -0500)
Signed-off-by: Michael Jeanson <mjeanson@efficios.com>
scripts/lttng-modules/param-build.sh

index 18c165f678b240fa2732e74a8d9148113adbb0e6..00debb7b6369e13ecc294f103eb6b6b201f09f41 100644 (file)
@@ -384,11 +384,12 @@ build_modules() {
 
         # Build modules
         KERNELDIR="${kdir}" make -j"${NPROC}" V=1 CC="$CC"
+       ret=$?
 
         set -e
 
         # We expect this build to fail, if it doesn't, fail the job.
-        if [ "$?" -eq 0 ]; then
+        if [ "$ret" -eq 0 ]; then
             echo "This build should have failed."
             exit 1
         fi
@@ -396,8 +397,6 @@ build_modules() {
         # We have to publish at least one file or the build will fail
         echo "This kernel is broken, there is a deadlock in the timekeeping subsystem." > "${outdir}/BROKEN.txt.ko"
 
-        set -e
-
         KERNELDIR="${kdir}" make clean
 
     else # Regular build
This page took 0.046681 seconds and 4 git commands to generate.